org.eclipse.net4j.util.lifecycle

## Class LifecycleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalStateException
        - - org.eclipse.net4j.util.lifecycle.LifecycleException

- All Implemented Interfaces:
    java.io.Serializable

      public class LifecycleException
      extends java.lang.IllegalStateException

  An unchecked wrapper exception for checked exceptions being thrown from `Lifecycle.doActivate()`.
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  No Extend
    This class is not intended to be subclassed by clients.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LifecycleException()`
    `LifecycleException(java.lang.String message)`
    `LifecycleException(java.lang.String message, java.lang.Throwable cause)`
    `LifecycleException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LifecycleException

          public LifecycleException()

    - #### LifecycleException

          public LifecycleException(java.lang.String message)

    - #### LifecycleException

          public LifecycleException(java.lang.Throwable cause)

    - #### LifecycleException

          public LifecycleException(java.lang.String message,
                                    java.lang.Throwable cause)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html